漏洞信息详情

slice-deque crate for Rust 缓冲区错误漏洞

漏洞简介

slice-deque crate for Rust 0.1.16之前版本中的‘move_head_unchecked’函数存在安全漏洞,该漏洞源于程序没有正确处理双端队列的更新。攻击者可利用该漏洞损坏内存。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/gnzlbg/slice_deque/pull/58

受影响实体

    暂无